<?php
/**
 * @copyright	Copyright (C) 2005 - 2007 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 */

function getValidColor( $color, $defaultColor )
{
    $color = strtoupper($color);
	$colorname = array(
		'AliceBlue'=>'#F0F8FF',
		'AntiqueWhite'=>'#FAEBD7',
		'Aqua'=>'#00FFFF',
		'Aquamarine'=>'#7FFFD4',
		'Azure'=>'#F0FFFF',
		'Beige'=>'#F5F5DC',
		'Bisque'=>'#FFE4C4',
		'Black'=>'#000000',
		'BlanchedAlmond'=>'#FFEBCD',
		'Blue'=>'#0000FF',
		'BlueViolet'=>'#8A2BE2',
		'Brown'=>'#A52A2A',
		'BurlyWood'=>'#DEB887',
		'CadetBlue'=>'#5F9EA0',
		'Chartreuse'=>'#7FFF00',
		'Chocolate'=>'#D2691E',
		'Coral'=>'#FF7F50',
		'CornflowerBlue'=>'#6495ED',
		'Cornsilk'=>'#FFF8DC',
		'Crimson'=>'#DC143C',
		'Cyan'=>'#00FFFF',
		'DarkBlue'=>'#00008B',
		'DarkCyan'=>'#008B8B',
		'DarkGoldenRod'=>'#B8860B',
		'DarkGray'=>'#A9A9A9',
		'DarkGreen'=>'#006400',
		'DarkKhaki'=>'#BDB76B',
		'DarkMagenta'=>'#8B008B',
		'DarkOliveGreen'=>'#556B2F',
		'Darkorange'=>'#FF8C00',
		'DarkOrchid'=>'#9932CC',
		'DarkRed'=>'#8B0000',
		'DarkSalmon'=>'#E9967A',
		'DarkSeaGreen'=>'#8FBC8F',
		'DarkSlateBlue'=>'#483D8B',
		'DarkSlateGray'=>'#2F4F4F',
		'DarkTurquoise'=>'#00CED1',
		'DarkViolet'=>'#9400D3',
		'DeepPink'=>'#FF1493',
		'DeepSkyBlue'=>'#00BFFF',
		'DimGray'=>'#696969',
		'DodgerBlue'=>'#1E90FF',
		'Feldspar'=>'#D19275',
		'FireBrick'=>'#B22222',
		'FloralWhite'=>'#FFFAF0',
		'ForestGreen'=>'#228B22',
		'Fuchsia'=>'#FF00FF',
		'Gainsboro'=>'#DCDCDC',
		'GhostWhite'=>'#F8F8FF',
		'Gold'=>'#FFD700',
		'GoldenRod'=>'#DAA520',
		'Gray'=>'#808080',
		'Green'=>'#008000',
		'GreenYellow'=>'#ADFF2F',
		'HoneyDew'=>'#F0FFF0',
		'HotPink'=>'#FF69B4',
		'IndianRed' =>'#CD5C5C',
		'Indigo' =>'#4B0082',
		'Ivory'=>'#FFFFF0',
		'Khaki'=>'#F0E68C',
		'Lavender'=>'#E6E6FA',
		'LavenderBlush'=>'#FFF0F5',
		'LawnGreen'=>'#7CFC00',
		'LemonChiffon'=>'#FFFACD',
		'LightBlue'=>'#ADD8E6',
		'LightCoral'=>'#F08080',
		'LightCyan'=>'#E0FFFF',
		'LightGoldenRodYellow'=>'#FAFAD2',
		'LightGrey'=>'#D3D3D3',
		'LightGreen'=>'#90EE90',
		'LightPink'=>'#FFB6C1',
		'LightSalmon'=>'#FFA07A',
		'LightSeaGreen'=>'#20B2AA',
		'LightSkyBlue'=>'#87CEFA',
		'LightSlateBlue'=>'#8470FF',
		'LightSlateGray'=>'#778899',
		'LightSteelBlue'=>'#B0C4DE',
		'LightYellow'=>'#FFFFE0',
		'Lime'=>'#00FF00',
		'LimeGreen'=>'#32CD32',
		'Linen'=>'#FAF0E6',
		'Magenta'=>'#FF00FF',
		'Maroon'=>'#800000',
		'MediumAquaMarine'=>'#66CDAA',
		'MediumBlue'=>'#0000CD',
		'MediumOrchid'=>'#BA55D3',
		'MediumPurple'=>'#9370D8',
		'MediumSeaGreen'=>'#3CB371',
		'MediumSlateBlue'=>'#7B68EE',
		'MediumSpringGreen'=>'#00FA9A',
		'MediumTurquoise'=>'#48D1CC',
		'MediumVioletRed'=>'#C71585',
		'MidnightBlue'=>'#191970',
		'MintCream'=>'#F5FFFA',
		'MistyRose'=>'#FFE4E1',
		'Moccasin'=>'#FFE4B5',
		'NavajoWhite'=>'#FFDEAD',
		'Navy'=>'#000080',
		'OldLace'=>'#FDF5E6',
		'Olive'=>'#808000',
		'OliveDrab'=>'#6B8E23',
		'Orange'=>'#FFA500',
		'OrangeRed'=>'#FF4500',
		'Orchid'=>'#DA70D6',
		'PaleGoldenRod'=>'#EEE8AA',
		'PaleGreen'=>'#98FB98',
		'PaleTurquoise'=>'#AFEEEE',
		'PaleVioletRed'=>'#D87093',
		'PapayaWhip'=>'#FFEFD5',
		'PeachPuff'=>'#FFDAB9',
		'Peru'=>'#CD853F',
		'Pink'=>'#FFC0CB',
		'Plum'=>'#DDA0DD',
		'PowderBlue'=>'#B0E0E6',
		'Purple'=>'#800080',
		'Red'=>'#FF0000',
		'RosyBrown'=>'#BC8F8F',
		'RoyalBlue'=>'#4169E1',
		'SaddleBrown'=>'#8B4513',
		'Salmon'=>'#FA8072',
		'SandyBrown'=>'#F4A460',
		'SeaGreen'=>'#2E8B57',
		'SeaShell'=>'#FFF5EE',
		'Sienna'=>'#A0522D',
		'Silver'=>'#C0C0C0',
		'SkyBlue'=>'#87CEEB',
		'SlateBlue'=>'#6A5ACD',
		'SlateGray'=>'#708090',
		'Snow'=>'#FFFAFA',
		'SpringGreen'=>'#00FF7F',
		'SteelBlue'=>'#4682B4',
		'Tan'=>'#D2B48C',
		'Teal'=>'#008080',
		'Thistle'=>'#D8BFD8',
		'Tomato'=>'#FF6347',
		'Turquoise'>'#40E0D0',
		'Violet'=>'#EE82EE',
		'VioletRed'=>'#D02090',
		'Wheat'=>'#F5DEB3',
		'White'=>'#FFFFFF',
		'WhiteSmoke'=>'#F5F5F5',
		'Yellow'=>'#FFFF00',
		'YellowGreen'=>'#9ACD32'
	);

	if (array_key_exists($color, ($colorname = array_change_key_case($colorname, CASE_UPPER)))) {
		// warna ada
		return strtoupper($colorname[$color]);
	} else {
		// kemungkinan pake rgb
		switch (strlen($color)) {
			case 3:
				$color = '#'.$color;
			case 4:
				$color = $color[0].$color[1].$color[1].$color[2].$color[2].$color[3].$color[3];
				break;
			case 6:
				$color = '#'.$color;
			default: // == 7
		}
		
		if (preg_match('|^#{1}[a-f0-9]{6}$|i', $color)) return strtoupper($color);
		return (is_string($defaultColor) ? strtoupper($defaultColor) : $defaultColor);
	}
}

function getRGB( $color )
{
	$colorname = getValidColor($color, false);
	if (!$colorname) return false;

	$rgb = array();
	$rgb['red']   = hexdec($colorname[1].$colorname[2]);
	$rgb['green'] = hexdec($colorname[3].$colorname[4]);
	$rgb['blue']  = hexdec($colorname[5].$colorname[6]);

	return $rgb;
}

function generateEllipse( $width, $height, $redColor, $greenColor, $blueColor )
{
	$x_center = floor($width/2);
	$y_center = floor($height/2);

	$image = imagecreatetruecolor($width, $height);

	$bg               = imagecolorallocate($image, 255, 255, 255);
	$transparentcolor = imagecolorat($image, 1, 1);
	$requestedcolor   = imagecolorallocate($image, $redColor, $greenColor, $blueColor);
	if ($requestedcolor === false || $requestedcolor == -1) return false;

	// Set transparent color
	imagecolortransparent($image, $transparentcolor);
	
	// Create ellips
	imagefilledellipse($image, $x_center, $y_center, ($x_center*2), ($y_center*2), $requestedcolor );

	// render
	header("Content-Type: image/png");
	imagepng($image);
	imagedestroy($image);
}